I was not aware of this thread, otherwise I'd reported here that one major reason of getting "error updating ROM" while installing 1.71/1.20 has been identified and will be solved sson I hope, see http://discussion.treocentral.com/sh...&postcount=270